Subject: [dtn] BP/TCP and TLS extension

From: Brian Sipos <[email-masked]>
Date: Wed, 13 Apr 2016 14:07:07 +0000

All,

I have been looking into using the BP/TCP transport of RFC 7242, which mentions that the protocol is compatible with TLS:

    "Nothing in TCPCL prevents the use of the Transport Layer Security (TLS) protocol [RFC5246] to secure a connection."

but does not specify how to actually use TLS to secure a connection or to disambiguate between TLS-capable and -incapable nodes.

I have a need to use TLS for transport-level mutual authentication for my application of BP, and would prefer to use the existing methods as much as possible.

How would the WG feel about adding a STARTTLS-type message code to the IANA registry <http://www.iana.org/assignments/bundle/bundle.xhtml#tcpcl-message> with an associated SHUTDOWN code for negotiation failure?

This new message would have behavior consistent with RFC 2595 (POP3/IMAP/etc.) use of STARTTLS, so it would be node policy whether or not to actually require TLS operation. If TLS is required but cannot be negotiated (either because not supported, cannot agree, etc.), a node would simply close the connection with the appropriate shutdown code.

My other option is to either use same or different TCP port number and suffer the consequences (same as HTTP vs. HTTPS disambiguation) if there was ever a need to interoperate, which I would rather avoid.

Thanks for any comments.